# Set_Face_XXX

## Functions

void | `HIC_Set_Cut_Face_Color`
void | `HIC_Set_Face_Pattern`
void | `HIC_Set_Face_Color`
void | `HIC_Set_Face_Mirror_Color`
void | `HIC_Set_Internal_Face_Color`
void | `HIC_Set_Face_Back_Color`
void | `HIC_Set_Internal_Face_Back_Color`
void | `HIC_Set_Face_Contrast_Color`
void | `HIC_Set_Internal_Face_Contrast_Color`
void | `HIC_Set_Face_Transmission_Color`
void | `HIC_Set_Face_Displacement`

## Detailed Description

group Set_Face_XXX

## Function Documentation

void HIC_Set_Cut_Face_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function sets the cut face color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a const HIC_RGB, a structure of three floats, each between 0 and 1.

void HIC_Set_Face_Pattern(HIC_Rendition *nr, int npattern)

  This function changes the face pattern to the passed in int value.

  See also

  HIC_New_User_Pattern

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - npattern – An int.

void HIC_Set_Face_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function changes the face color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a const HIC_RGB, a structure of three floats, each between zero and one.

void HIC_Set_Face_Mirror_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function changes the face mirror color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a const HIC_RGB, a structure of three floats, each between 0 and 1.

void HIC_Set_Internal_Face_Color(HIC_Rendition *nr, HIC_RGBAS32 internal)

  This function changes the internal face color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - internal – A HIC_RGBAS32 int.

void HIC_Set_Face_Back_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function changes the face back color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a HIC_RGB, a structure of three floats, each between 0 and 1.

void HIC_Set_Internal_Face_Back_Color(HIC_Rendition *nr, HIC_RGBAS32 internal)

  This function changes the internal face back color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - internal – A HIC_RGBAS32 int.

void HIC_Set_Face_Contrast_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function changes the face contrast color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a HIC_RGB, a structure of three floats, each between 0 and 1.

void HIC_Set_Internal_Face_Contrast_Color(HIC_Rendition *nr, HIC_RGBAS32 internal)

  This function changes the internal face contrast color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - internal – A HIC_RGBAS32 int.

void HIC_Set_Face_Transmission_Color(HIC_Rendition *nr, HIC_RGB *rgb)

  This function changes the face transmission color.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - rgb – A pointer to a HIC_RGB, a structure of three floats, each between zero and one.

void HIC_Set_Face_Displacement(HIC_Rendition *nr, float displacement)

  This function changes the face displacement using the passed in float value.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - displacement – A float.